Page MenuHomePhabricator

[mips] Add support for 'ZC' inline assembly memory constraint.
ClosedPublic

Authored by dsanders on Mar 19 2015, 10:31 AM.

Diff Detail

Event Timeline

dsanders updated this revision to Diff 22276.Mar 19 2015, 10:31 AM
dsanders retitled this revision from to [mips] Add support for 'ZC' inline assembly memory constraint..
dsanders updated this object.
dsanders edited the test plan for this revision. (Show Details)
dsanders added a reviewer: atanasyan.
dsanders added a subscriber: Unknown Object (MLST).
atanasyan added inline comments.Mar 19 2015, 2:13 PM
lib/Basic/Targets.cpp
5941

What does return this function if 'Z' is not followed by 'C'?

case 'Z':
  if (Name[1] != 'C')
    return false;
  Info.setAllowsMemory();
  Name++; // Skip over 'Z'.
  return true;
dsanders added inline comments.Mar 20 2015, 2:18 AM
lib/Basic/Targets.cpp
5941

It's supposed to return false. I'll fix it shortly.

dsanders updated this revision to Diff 22336.Mar 20 2015, 2:44 AM

Fix missing return.

atanasyan accepted this revision.Mar 20 2015, 5:04 AM
atanasyan edited edge metadata.

LGTM

This revision is now accepted and ready to land.Mar 20 2015, 5:04 AM
dsanders closed this revision.Mar 30 2015, 6:50 AM